Get Databricks Authorization - MindBridge Documentation
Get Databricks Authorization
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL Example
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId} \
--header 'Authorization: Bearer <token>'
Python Example
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript Example
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest Example
HttpResponse<String> response = Unirest.get("https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby Example
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/databricks-auth/{authorizationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Example
HTTP Status: 200
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"connectionId": "<string>",
"host": "<string>",
"port": 123,
"httpPath": "<string>",
"clientId": "<string>"
}
Authorization
- Authorization:
Bearer <token>- required
Path Parameters
- authorizationId: string - required
Response Structure
- id: The unique object identifier.
- version: Data integrity version to ensure data consistency.
- creationDate: The date that the object was originally created.
- lastModifiedDate: The date that the object was last updated or modified.
- createdUserInfo: Details about the user who created the object.
- lastModifiedUserInfo: Details about the user who last modified or updated the object.
- connectionId: The ID of the Connection this authorization belongs to.
- authType: The authentication method to use. Possible values: PAT, OAUTH_M2M.
- host: The Databricks server hostname.
- port: The port number for the Databricks connection, typically 443.
- httpPath: The HTTP path for the Databricks SQL warehouse or cluster.
- clientId: The OAuth client ID for OAUTH_M2M authentication.